Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.provider.java.security
Class JSSSignatureSpi.DSA

    java.lang.Object
      |
      +--java.security.SignatureSpi
            |
            +--org.mozilla.jss.provider.java.security.JSSSignatureSpi
                  |
                  +--org.mozilla.jss.provider.java.security.JSSSignatureSpi.DSA

Enclosing class:
  org.mozilla.jss.provider.java.security.JSSSignatureSpi

public static class JSSSignatureSpi.DSA
extends org.mozilla.jss.provider.java.security.JSSSignatureSpi

Nested Class Summary
`static class` | `JSSSignatureSpi.DSA`
`static class` | `JSSSignatureSpi.MD2RSA`
`static class` | `JSSSignatureSpi.MD5RSA`
`static class` | `JSSSignatureSpi.SHA1RSA`

Field Summary

Fields inherited from class java.security.SignatureSpi
`appRandom`

Constructor Summary
`JSSSignatureSpi.DSA()`

Method Summary
`java.lang.Object` | `clone()`
`java.lang.Object` | `engineGetParameter(java.lang.String param)`
`void` | `engineInitSign(java.security.PrivateKey privateKey)`
`void` | `engineInitSign(java.security.PrivateKey privateKey, java.security.SecureRandom random)`
`void` | `engineInitVerify(java.security.PublicKey publicKey)`
`void` | `engineSetParameter(java.security.spec.AlgorithmParameterSpec params)`
`void` | `engineSetParameter(java.lang.String param, java.lang.Object value)`
`byte[]` | `engineSign()`
`int` | `engineSign(byte[] outbuf, int offset, int len)`
`void` | `engineUpdate(byte b)`
`void` | `engineUpdate(byte[] b, int off, int len)`
`boolean` | `engineVerify(byte[] sigBytes)`

Methods inherited from class java.security.SignatureSpi
`engineGetParameters, engineVerify`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSSSignatureSpi.DSA

    public JSSSignatureSpi.DSA()

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.security.SignatureSpi`
    `java.lang.CloneNotSupportedException`

### engineInitSign

    public void engineInitSign(java.security.PrivateKey privateKey,
                               java.security.SecureRandom random)
                        throws java.security.InvalidKeyException

  Overrides:
    `engineInitSign` in class `java.security.SignatureSpi`
    `java.security.InvalidKeyException`

### engineInitSign

    public void engineInitSign(java.security.PrivateKey privateKey)
                        throws java.security.InvalidKeyException

  Specified by:
    `engineInitSign` in class `java.security.SignatureSpi`
    `java.security.InvalidKeyException`

### engineInitVerify

    public void engineInitVerify(java.security.PublicKey publicKey)
                          throws java.security.InvalidKeyException

  Specified by:
    `engineInitVerify` in class `java.security.SignatureSpi`
    `java.security.InvalidKeyException`

### engineUpdate

    public void engineUpdate(byte b)
                      throws java.security.SignatureException

  Specified by:
    `engineUpdate` in class `java.security.SignatureSpi`
    `java.security.SignatureException`

### engineUpdate

    public void engineUpdate(byte[] b,
                             int off,
                             int len)
                      throws java.security.SignatureException

  Specified by:
    `engineUpdate` in class `java.security.SignatureSpi`
    `java.security.SignatureException`

### engineSign

    public byte[] engineSign()
                      throws java.security.SignatureException

  Specified by:
    `engineSign` in class `java.security.SignatureSpi`
    `java.security.SignatureException`

### engineSign

    public int engineSign(byte[] outbuf,
                          int offset,
                          int len)
                   throws java.security.SignatureException

  Overrides:
    `engineSign` in class `java.security.SignatureSpi`
    `java.security.SignatureException`

### engineVerify

    public boolean engineVerify(byte[] sigBytes)
                         throws java.security.SignatureException

  Specified by:
    `engineVerify` in class `java.security.SignatureSpi`
    `java.security.SignatureException`

### engineSetParameter

    public void engineSetParameter(java.security.spec.AlgorithmParameterSpec params)
                            throws java.security.InvalidAlgorithmParameterException

  Overrides:
    `engineSetParameter` in class `java.security.SignatureSpi`
    `java.security.InvalidAlgorithmParameterException`

### engineGetParameter

    public java.lang.Object engineGetParameter(java.lang.String param)
                                        throws java.security.InvalidParameterException

  Specified by:
    `engineGetParameter` in class `java.security.SignatureSpi`
    `java.security.InvalidParameterException`

### engineSetParameter

    public void engineSetParameter(java.lang.String param,
                                   java.lang.Object value)
                            throws java.security.InvalidParameterException

  Specified by:
    `engineSetParameter` in class `java.security.SignatureSpi`
    `java.security.InvalidParameterException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD